IASL(8)

NAME
iasl - Intel ACPI compiler/decompiler

SYNOPSIS
iasl [-2cefghl] [-b type] [-d file] [-dc file] [-hc] [-hr] [-i type] [-ln] [-ls] [-oa] [-of] [-oi] [-on] [-ot] [-p prefix] [-s type] [-t type] [-vi] [-vo] [-vr] [-vs] [-x level] [-w level] input-file

DESCRIPTION
The iasl utility is a compiler/decompiler for ACPI Source Language (ASL) and ACPI Machine Language (AML). Major features of iasl include:

•   Full support for the ACPI 3.0b Specification including ASL grammar elements and operators.

•   Extensive compiler syntax and semantic error checking, especially in the area of control methods. This reduces the number of errors that are not discovered until the AML code is actually interpreted (i.e., the compile-time error checking reduces the number of run-time errors).

•   Multiple types of output files, including formatted listing files with intermixed source, several types of AML files, and error messages.

OPTIONS

-2  Emit ACPI 2.0 compatible ASL code.

-b -Sm p | t | b Sm
    Create compiler debug/trace file (*.txt). Types: Parse/Tree/Both.

-c  Parse only, no output generation.

-d file
    Disassemble AML to ASL source code file (*.dsl).

-dc file
    Disassemble AML and immediately compile it. (Obtain DSDT from current system if no input file.)

-e  Generate External() statements for unresolved symbols.

-f  Ignore errors, force creation of AML output file(s).

-g  Get ACPI tables and write to files (*.dat).

-h  Additional help and compiler debug options.

-hc Display operators allowed in constant expressions.

-hr Display ACPI reserved method names.

-i -Sm a | c Sm
    Create assembler or C include file (*.inc or *.h).

-l  Create mixed listing file (ASL source and AML) (*.lst).

-ln Create namespace file (*.nsp).

-ls Create combined source file (expanded includes) (*.src).

-oa Disable all optimizations (compatibility mode).

-of Disable constant folding.

-oi Disable integer optimization to Zero/One/Ones.

-on Disable named reference string optimization.

-ot Display compile times.

-p prefix
    Specify filename prefix for all output files (including .aml).

-s -Sm a | c Sm
    Create AML in assembler or C source file (*.asm or *.c).

-t a|c
    Create AML in assembler or C hex table (*.hex).

-vi Less verbose errors and warnings for use with IDEs.

-vo Enable optimization comments.

-vr Disable remarks.

-vs Disable signon.

-x level
    Set debug level for trace output.

-w level
    Set warning level.

SEE ALSO
acpi(4), acpidump(8)

HISTORY
The iasl utility is provided with Intel ACPI-CA. It first appeared in FreeBSD 5.2.

AUTHORS
-nosplit The iasl utility was written by Intel. This manual page was written by Nate Lawson.